#ifndef _COMMON_H_
#define _COMMON_H_

#include <stdio.h>
#include <windows.h>
#include <ctype.h>
#include <math.h>
#include <d3d9.h>
#include <d3dx9.h>

#pragma comment(lib, "winmm.lib")
#pragma comment(lib, "user32.lib")
#pragma comment(lib, "gdi32.lib")
#pragma comment(lib, "dxguid.lib")
#pragma comment(lib, "d3d9.lib")
#pragma comment(lib, "d3dx9.lib")
#pragma comment(lib, "dinput8.lib")


#pragma warning(disable:4244)
#pragma warning(disable:4305)


#include "param.h"

#define D3DCLEAR_DEFAULT   (D3DCLEAR_TARGET | D3DCLEAR_ZBUFFER)
#define RELEASE(x)         { if(x) (x)->Release(); x = NULL; }

extern int               argc;
extern char              **argv;
extern LPSTR             AppName;
extern HWND              hWnd;
extern LPDIRECT3D9       d3d9;
extern LPDIRECT3DDEVICE9 d3ddevice;

void InitScene();
void TermScene();
void DoScene();
int snd_main();
void snd_term();


#endif

