#ifndef _PARAM_H_
#define _PARAM_H_

#define ScreenX    1280
#define ScreenY    1024
#define NoiseXY    64
#define NoiseXYZ   64

#define SND_SAMPLES        (44100)
#define SND_CH             (2)
#define SND_BITS           (16)
#define SND_SEC            (60)
#define SND_LENGTH         (SND_SEC * SND_SAMPLES * SND_CH)
#define SND_FADE           (SND_LENGTH - (SND_SAMPLES * SND_CH) * 5)
#define SND_LENGTH_BYTE    (SND_LENGTH * (SND_BITS / 8))
#define SND_NOTE_DT        (1.059463100070972f)
#define SND_NOTE_BASE      (6.0f / (float)SND_SAMPLES)
#define SND_PI             (3.141592653589793f)

#endif
